Device
C Reference » Production Nodes Functionality

## Topics

| Device Identification Capability

## Functions

XN_C_API XnStatus XN_C_DECL | xnCreateDevice (XnContext *pContext, XnNodeHandle *phDevice, XnNodeQuery *pQuery, XnEnumerationErrors *pErrors)

## Detailed Description

A device node represents a physical device. The following functions can be executed for device nodes in an OpenNI context.

## Function Documentation

## xnCreateDevice()

XN_C_API XnStatus XN_C_DECL xnCreateDevice | ( | XnContext * | pContext,
|  | XnNodeHandle * | phDevice,
|  | XnNodeQuery * | pQuery,
|  | XnEnumerationErrors * | pErrors )

Creates a device node.

Parameters

  pContext | [in] The context in which to create the device
  phDevice | [out] A handle to the created device
  pQuery | [in] Optional. Can be used to select which device to create. If not specified, this function may create any device node that is available.
  pErrors | [in] Optional. If provided, will be filled with information about device nodes that could not be created.